# dask.dataframe.Index.between

Index.between(left, right, inclusive='both')

  Return boolean Series equivalent to left <= series <= right.

  This docstring was copied from pandas.core.series.Series.between.

  Some inconsistencies with the Dask version may exist.

  This function returns a boolean vector containing True wherever the corresponding Series element is between the boundary values left and right. NA values are treated as False.

  Parameters:
    left scalar or list-like

      Left boundary.

    right scalar or list-like

      Right boundary.

    inclusive{“both”, “neither”, “left”, “right”}

      Include boundaries. Whether to set each bound as closed or open.

      Changed in version 1.3.0.

  Returns:
    Series

      Series representing whether each element is between left and right (inclusive).

  See also

  `Series.gt`

    Greater than of series and other.

  `Series.lt`

    Less than of series and other.

  Notes

  This function is equivalent to `(left <= ser) & (ser <= right)`

  Examples

      >>> s = pd.Series([2, 0, 4, 8, np.nan])

  Boundary values are included by default:

      >>> s.between(1, 4)
      0     True
      1    False
      2     True
      3    False
      4    False
      dtype: bool

  With inclusive set to `"neither"` boundary values are excluded:

      >>> s.between(1, 4, inclusive="neither")
      0     True
      1    False
      2    False
      3    False
      4    False
      dtype: bool

  left and right can be any scalar value:

      >>> s = pd.Series(['Alice', 'Bob', 'Carol', 'Eve'])
      >>> s.between('Anna', 'Daniel')
      0    False
      1     True
      2     True
      3    False
      dtype: bool